%define systemdtmpfiles /bin/systemd-tmpfiles

Name: sysvinit-tmpfiles
Version: 0.2
Release: alt0.M70T.1

Summary: Support tmpfiles.d for System V init tools
Group: System/Configuration/Boot and Init
License: %lgpl21plus
BuildArch: noarch

Source1: tmpfiles.in
Source2: tmpfiles.cron.daily.in

BuildRequires(pre): rpm-build-licenses

Requires: %systemdtmpfiles

%description
This package containing support for System V init tools,
automatically creating, deleting and cleaning up volatile
and temporary files and directories, based on the configuration
file format and location specified in tmpfiles.d.

When using the systemd this package not need it.

%prep
%setup -cT
cat > configure.sed <<EOF
#! /bin/sed -f

s@%%_initdir@%_initdir@g
s@%%_locksubsysdir@%_locksubsysdir@g
s@%%systemdtmpfiles@%systemdtmpfiles@g
EOF
chmod 755 configure.sed

%build
./configure.sed %SOURCE1 > tmpfiles
./configure.sed %SOURCE2 > tmpfiles.cron.daily

%install
install -pD -m755 tmpfiles %buildroot%_initdir/tmpfiles
install -pD -m755 tmpfiles.cron.daily %buildroot%_sysconfdir/cron.daily/tmpfiles

%post
if [ $1 -eq 1 ] ; then
	/sbin/chkconfig --add tmpfiles ||:
else
	/sbin/chkconfig tmpfiles resetpriorities ||:
fi

%preun
if [ $1 = 0 ]; then
	/sbin/chkconfig --del tmpfiles ||:
fi

%files
%_initdir/tmpfiles
%_sysconfdir/cron.daily/tmpfiles

%changelog
* Sat Feb 20 2016 Aleksey Avdeev <solo@altlinux.ru> 0.2-alt0.M70T.1
- Do not restart tmpfiles for update package (thanks to shaba@)
- Run tmpfiles after udev (thanks to shaba@)
- Remove %%_unitdir/tmpfiles.service

* Wed Feb 10 2016 Aleksey Avdeev <solo@altlinux.ru> 0.1-alt0.M70T.1
- Backports to t7

* Wed Feb 10 2016 Aleksey Avdeev <solo@altlinux.ru> 0.1-alt1
- Initial build for ALT Linux (ALT#31718)
